const char *_neu_karte_ksgs_beschreibung = 
"var bool erlaubt;\n"
"var bool begin;\n"
"\n"
"class TextErscheinen\n"
"{\n"
"private:\n"
"    var TextFeld beschreibung;\n"
"    var Text txt;\n"
"    var int num;\n"
"    var int ln;\n"
"    var double z;\n"
"public:\n"
"    func void initKA()\n"
"    {\n"
"        initTextFeld( beschreibung, 5, 5, 568, 418, \"\", 0x101 );\n"
"        txt = \"Kartenbeschreibung hier insert.\";\n"
"        ln = txt.getLength();\n"
"        num = 0;\n"
"        z = 0;\n"
"    }\n"
"    func void initIG()\n"
"    {\n"
"        initTextFeld( beschreibung, 5, 5, 238, 340, \"\", 0x101 );\n"
"        txt = \"Kartenbeschreibung hier insert.\";\n"
"        ln = txt.getLength();\n"
"        num = 0;\n"
"        z = 0;\n"
"    }\n"
"    func void setErlaubt()\n"
"    {\n"
"        if( erlaubt == false )\n"
"        {\n"
"            if( beschreibung.getText().hat( \"Diese Karte ist momentan nicht verfgbar.\" ) == false )\n"
"            {\n"
"                beschreibung.addZeile( \"Diese Karte ist momentan nicht verfgbar.\" );\n"
"            }\n"
"        }\n"
"        if( erlaubt == true )\n"
"        {\n"
"            if( beschreibung.getText().hat( \"Diese Karte ist momentan nicht verfgbar.\" ) == true )\n"
"            {\n"
"                var Text txt;\n"
"                txt = beschreibung.getText();\n"
"                txt.remove( txt.positionVon( \"Diese Karte ist momentan nicht verfgbar\", 0 ), txt.getLength() );\n"
"                beschreibung.setText( txt );\n"
"            }\n"
"        }\n"
"    }\n"
"    func bool next( double zeit )\n"
"    {\n"
"        z += zeit;\n"
"        if( ( z > 0.03 ) && ( num < ln ) )\n"
"        {\n"
"            var Text t;\n"
"            t = beschreibung.getText();\n"
"            while( z > 0.03 )\n"
"            {\n"
"                z -= 0.03;\n"
"                t.append( txt.getTeilText( num, num + 1 ) );\n"
"                num += 1;\n"
"                if( num < ln )\n"
"                {\n"
"                    break;\n"
"                }\n"
"            }\n"
"            beschreibung.setText( t );\n"
"            return true;\n"
"        }\n"
"        return false;\n"
"    }\n"
"    func void render( Bild b )\n"
"    {\n"
"        beschreibung.render( b );\n"
"    }\n"
"};\n"
"\n"
"class Anmeldung\n"
"{\n"
"private:\n"
"    var double y;\n"
"    var double yS;\n"
"    var double alpha;\n"
"    var Knopf alleine;\n"
"    var Knopf gruppe;\n"
"public:\n"
"\n"
"    func void initKA()\n"
"    {\n"
"        yS = 268;\n"
"        y = 0;\n"
"        alpha = 0;\n"
"        initKnopf( alleine, 5, 0, 100, 20, \"Anmelden\" );\n"
"        alleine.setMausEreignis( \"alleineME\" );\n"
"        initKnopf( gruppe, 463, 0, 100, 20, \"Gruppe Erstellen\" );\n"
"        gruppe.setMausEreignis( \"gruppeME\" );\n"
"    }\n"
"    func bool tick( double z )\n"
"    {\n"
"        if( ( alpha == 255 ) && ( y >= 398 ) )\n"
"        {\n"
"            var bool ret = false;\n"
"            ret |= alleine.tick( z );\n"
"            ret |= gruppe.tick( z );\n"
"            return ret;\n"
"        }\n"
"        alpha += ( z * 100 );\n"
"        if( alpha > 255 )\n"
"        {\n"
"            alpha = 255;\n"
"        }\n"
"        y += ( yS * z );\n"
"        yS -= ( z * 40 );\n"
"        if( yS < 0 )\n"
"        {\n"
"            yS = 0;\n"
"        }\n"
"        if( y > 398 )\n"
"        {\n"
"            y = 398;\n"
"        }\n"
"        return true;\n"
"    }\n"
"    func void maus( MausEreignis me )\n"
"    {\n"
"        me.setMy( me.my - y );\n"
"        alleine.doMausEreignis( me );\n"
"        gruppe.doMausEreignis( me );\n"
"        me.setMy( me.my + y );\n"
"    }\n"
"    func void render( Bild b )\n"
"    {\n"
"        b.setAlpha( alpha );\n"
"        if( b.setDrawOptions( 0, y, 578, 200 ) )\n"
"        {\n"
"            alleine.render( b );\n"
"            gruppe.render( b );\n"
"            b.releaseDrawOptions();\n"
"        }\n"
"        b.releaseAlpha();\n"
"    }\n"
"};\n"
"\n"
"var TextErscheinen beschreibung;\n"
"var Anmeldung anmeldung;\n"
"\n"
"func void start()\n"
"{\n"
"    erlaubt = false;\n"
"    begin = false;\n"
"}\n"
"\n"
"func void _set_Erlaubt( bool e )\n"
"{\n"
"    erlaubt = e;\n"
"    if( begin == false )\n"
"    {\n"
"        beschreibung.initKA();\n"
"        anmeldung.initKA();\n"
"        begin = true;\n"
"    }\n"
"    beschreibung.setErlaubt();\n"
"}\n"
"\n"
"func void _in_gruppe()\n"
"{\n"
"    if( begin == false )\n"
"    {\n"
"        beschreibung.initIG();\n"
"        begin = true;\n"
"    }\n"
"}\n"
"\n"
"func void initTextFeld( TextFeld tf, int x, int y, int br, int h, Text t, int style )\n"
"{\n"
"    tf.setPosition( x, y );\n"
"    tf.setGre( br, h );\n"
"    tf.setStyle( style );\n"
"    tf.setSchriftFarbe( 0xFFFFFFFF );\n"
"    tf.setText( t );\n"
"}\n"
"\n"
"func void initKnopf( Knopf k, int x, int y, int br, int h, Text t )\n"
"{\n"
"    k.setPosition( x, y );\n"
"    k.setGre( br, h );\n"
"    k.setText( t );\n"
"    k.addStyle( 0x1 );\n"
"}\n"
"\n"
"func bool maus( MausEreignis me )\n"
"{\n"
"    if( begin == false )\n"
"    {\n"
"        return me.verarbeitet;\n"
"    }\n"
"    if( erlaubt == true )\n"
"    {\n"
"        anmeldung.maus( me );\n"
"    }\n"
"    return me.verarbeitet;\n"
"}\n"
"\n"
"func bool tick( double z )\n"
"{\n"
"    if( begin == false )\n"
"    {\n"
"        return false;\n"
"    }\n"
"    var bool ret;\n"
"    ret = beschreibung.next( z );\n"
"    if( erlaubt == true )\n"
"    {\n"
"        ret |= anmeldung.tick( z );\n"
"    }\n"
"    return ret;\n"
"}\n"
"\n"
"func void render( Bild rObj )\n"
"{\n"
"    if( begin == true )\n"
"    {\n"
"        beschreibung.render( rObj );\n"
"        if( erlaubt == true )\n"
"        {\n"
"            anmeldung.render( rObj );\n"
"        }\n"
"    }\n"
"}\n"
"\n"
"func bool alleineME( MausEreignis me )\n"
"{\n"
"    if( me.id == 3 )\n"
"    {\n"
"        Rckruf( \"anmelden\" );\n"
"    }\n"
"    return true;\n"
"}\n"
"\n"
"func bool gruppeME( MausEreignis me )\n"
"{\n"
"    if( me.id == 3 )\n"
"    {\n"
"        Rckruf( \"gruppeErstellen\" );\n"
"    }\n"
"    return true;\n"
"}";